<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Bulma</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper has-background-white-bis">
        <div class="ml-4 my-4">
          <h1 class="title is-4">Time tracker</h1>
          {% assign activeUser = users | where: "id", options.activeUser | first %}
          <div class="subtitle">{{ activeUser.name }}</div>
        </div>
        <hr class="my-4">
        <aside class="menu">
          <div class="menu-list">
            <a href="index.html">
              <span class="icon is-small"><i class="fas fa-tachometer-alt"></i></span>
              <span class="ml-1">Dashboard</span>
            </a>
            <a class="is-active" href="time.html">
              <span class="icon is-small"><i class="far fa-clock"></i></span>
              <span class="ml-1">Time tracking</span>
            </a>
            <a href="projects.html">
              <span class="icon is-small"><i class="fas fa-project-diagram"></i></span>
              <span class="ml-1">Projects</span>
            </a>
            <a href="clients.html">
              <span class="icon is-small"><i class="fas fa-star"></i></span>
              <span class="ml-1">Clients</span>
            </a>
            <a href="teams.html">
              <span class="icon is-small"><i class="fas fa-users-cog"></i></span>
              <span class="ml-1">Teams</span>
            </a>
            <a href="users.html">
              <span class="icon is-small"><i class="fas fa-users"></i></span>
              <span class="ml-1">Users</span>
            </a>
            <a href="settings.html">
              <span class="icon is-small"><i class="fas fa-cogs"></i></span>
              <span class="ml-1">Settings</span>
            </a>
          </div>
        </aside>
      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">
  
        <nav class="navbar is-light" role="navigation" aria-label="main navigation">      
          <div class="navbar-menu is-active">
            <div class="navbar-start">
              <a class="navbar-item" id="js-open-nav">
                <span class="icon is-small">
                  <i class="fas fa-bars"></i>
                </span>
                <span class="ml-2">Menu</span>
              </a>
            </div>
        
            <div class="navbar-end">
              <div class="navbar-item">
                <div class="buttons">
                  <a class="button is-primary" href="#" id="js-logout">
                    <strong>Log out</strong>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </nav>
  
        <!-- START Content -->
        <section class="section">
        <div class="container">

          <div class="level">
            <div class="level-left">
              <h2 class="title is-3">Time</h2>
            </div>
            <div class="level-right">
              <a href="../index.html" class="button is-small">Change framework</a>
              <button type="button" class="button is-small" id="js-load-data">Reset data</button>
            </div>
          </div>
  
  
          <h3 class="title is-4">Track time</h3>
  
  
          {% if activeUser.running == 0 %}
          <form id="js-timer-start"> 
            <div class="columns mb-3 is-vcentered">
              <div class="column">
                <input type="text" class="input" placeholder="Description" name="desc" required>    
              </div>
              <div class="column">
                {% assign myTeams = "" | split:"" %}
                {% for team in teams %}
                  {% if team.users contains activeUser.id %}
                    {% assign myTeams = myTeams | concat: team.id %}
                  {% endif %}
                {% endfor %}
                
                <div class="select is-fullwidth">
                  <select name="projectId" required>
                    {% for project in projects %}
                      {% if project.active == 1 %}
                      {% if myTeams contains project.teamId %}
                      <option value="{{ project.id }}">{{ project.name }}</option>
                      {% endif %}
                      {% endif %}
                    {% endfor %}
                  </select>
                </div>
          
              </div>
  
              <div class="column is-narrow">  
                <p class="is-size-4 mb-0">
                  <i class="far fa-clock"></i>
                  00:00:00
                </p>
              </div>
  
              <div class="column is-narrow">
                <button type="reset" class="button is-warning">
                  <span class="icon is-small">
                    <i class="fas fa-redo-alt"></i> 
                  </span>
                  <span>Reset</span>
                </button>
                <button type="submit" class="button is-success">
                  <span class="icon is-small">
                    <i class="fas fa-play"></i>
                  </span>
                  <span>Start</span>
                </button>
              </div>
            
            </div>
          </form>
  
          {% else %}
          {% assign timer = timers | where: "id", activeUser.running | first %}
          <form id="js-timer-stop"> 
            <div class="columns mb-3 is-vcentered">
              <div class="column">
                <input type="text" class="input" placeholder="{{ timer.desc }}" disabled>    
              </div>
              <div class="column">
                {% assign timerProject = projects | where: "id", timer.projectId | first %}
                <input type="text" class="input" placeholder="{{ timerProject.name }}" disabled>    
              </div>
  
              <div class="column is-narrow">  
                <p class="is-size-4 mb-0">
                  <i class="far fa-clock"></i>
                  <span id="js-timer-counter" class="timer-counter">
                    {{ timer.startTime | timeDiffNow }}
                  </span>
                </p>
              </div>
  
              <div class="column is-narrow">
                <button type="reset" class="button is-warning">
                  <span class="icon is-small">
                    <i class="fas fa-redo-alt"></i> 
                  </span>
                  <span>Clear</span>
                </button>
                <button type="submit" class="button is-danger">
                  <span class="icon is-small">
                    <i class="fas fa-stop"></i> 
                  </span> 
                  <span>Stop</span>
                </button>
              </div>
            
            </div>
          </form>
          {% endif %}
  
  
  
          <h3 class="title is-4">My tracker</h3>
  
          {% assign filteredEntries = entries | where: "userId", activeUser.id %}
          {% for entry in filteredEntries %}
            {% assign entryProject = projects | where: "id", entry.projectId | first %}
            {% if entryProject.active == 1 %}
            <div class="message">
              <div class="message-body">
                <div class="columns is-vcentered">
                  <div class="column">
                    <span class="mr-3"><strong>{{ entry.desc }}</strong> - {{ entryProject.name }}</span>
                    <span class="mr-3"><i class="far fa-clock"></i> {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})</span>
                    <span><i class="far fa-calendar-alt"></i> {{ entry.startTime | date: "%d.%m.%Y" }}</span>
                  </div>
                  <div class="column is-narrow">
                    <button type="button" class="button is-danger is-small" data-delete-entry="{{ entry.id }}">
                      <span class="icon is-small">
                        <i class="fas fa-trash-alt"></i>
                      </span>
                    </button>
                  </div>
                </div>              
              </div>
            </div>
            {% endif %}
          {% endfor %}
  

        </div>
        </section>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>